### Method

# Ide BufferManager get_max_file_size

#### Declaration

    gssize
    ide_buffer_manager_get_max_file_size (
      IdeBufferManager* self
    )

#### Description

Gets the max file size that will be allowed to be loaded from disk. This is useful to protect Builder from files that would overload the various subsystems.

Available since: | 3.32

Gets property | `Ide.BufferManager:max-file-size`

#### Return value

Returns: | `gssize`
| The max file size in bytes or -1 for unlimited.